Get Vcf Certificates

Get Vcf Certificates
Get paginated list of certificates based on query parameters

Get paginated list of certificates based on query parameters

Request
URI
POST
https://{api_host}/suite-api/api/fleet-management/certificate-management/certificates/query
COPY
Query Parameters
integer
page
Optional
Constraints: default: 0

Page number from which data needs to be displayed (0-based)

integer
pageSize
Optional
Constraints: default: 10

Expected number of entries per page

string
sortBy
Optional

Certificate field to sort by

Possible values are : STATUS, APPLIANCE, CATEGORY, TYPE, APPLIANCE_FQDN, VCF_COMPONENT_TYPE, SDDC_DOMAIN_ID, VCF_INSTANCE_ENDPOINT, CERTIFICATE_COMMON_NAME, EXPIRY_DATE, AUTO_RENEW_STATUS,
string
sortOrder
Optional

Sort direction for the results

Possible values are : ASCENDING, DESCENDING,

Request Body

The certificate search request with search criteria

VcfCertificateSearchRequest of type(s) application/json
Required
"{\n  \"status\" : \"NORMAL\",\n  \"appliance\" : \"VCENTER\",\n  \"applianceFqdn\" : \"vcenter.vsphere.local.com\"\n}"
string
appliance
Optional

Appliance or component type for certificate searches (e.g., VCENTER, NSXT_MANAGER, SDDC_MANAGER, VCF_AUTOMATION, LOG_MANAGEMENT, VCF_OPERATIONS, VCF_OPS_NETWORKS, IDENTITY_BROKER, VCF_OPS_HCX, ESX, VCF_SERVICES_RUNTIME, AVI_LOAD_BALANCER)

Possible values are : VCENTER, SDDC_MANAGER, NSXT_MANAGER, VCF_AUTOMATION, LOG_MANAGEMENT, VCF_OPERATIONS, VCF_OPS_NETWORK, IDENTITY_BROKER, VCF_OPS_HCX, ESX, VCF_SERVICES_RUNTIME, AVI_LOAD_BALANCER, UNKNOWN,
string
applianceFqdn
Optional

Fully qualified domain name of the appliance

string
category
Optional

Certificate category for search requests (e.g., TLS_CERT, ROOT_CERT, INTERMEDIATE_CERT)

Possible values are : TLS_CERT, ROOT_CERT, INTERMEDIATE_CERT, UNKNOWN,
string
status
Optional

Certificate expiry status for search requests (e.g., EXPIRED, EXPIRING_30, EXPIRING_60, NORMAL)

Possible values are : EXPIRED, EXPIRING_30, EXPIRING_60, NORMAL, UNKNOWN,
string
type
Optional

Certificate signing CA type (e.g., VMCA, OPENSSL_CA, MSCA, EXTERNAL_CA)

Possible values are : VMCA, OPENSSL_CA, MSCA, EXTERNAL_CA, UNKNOWN,
Authentication
This operation uses the following authentication methods.
Responses
200

List of certificates

Returns VcfCertificatesResponse of type(s) application/json
"{\n  \"vcfCertificateModels\" : [ {\n    \"certificateResourceKey\" : \"vcenter.vsphere.com_1234_cert\",\n    \"issuedTo\" : \"vcenter.vsphere.local.com\",\n    \"appliance\" : \"VCENTER\",\n    \"displayApplianceType\" : \"vCenter\",\n    \"category\" : \"SSL\",\n    \"type\" : \"SSL_CERTIFICATE\",\n    \"issuedBy\" : \"CA\",\n    \"status\" : \"NORMAL\",\n    \"displayStatus\" : \"Active\",\n    \"daysToExpire\" : 30,\n    \"applianceFqdn\" : \"vcenter.vsphere.local.com\",\n    \"redirectAvailable\" : true,\n    \"domainId\" : \"domain-123\",\n    \"vcfEndpoint\" : \"vcenter.vsphere.local.com\",\n    \"vcfComponent\" : \"VCENTER\",\n    \"issuedToCommonName\" : \"vcenter.vsphere.local.com\",\n    \"autoRenewState\" : \"ENABLED\",\n    \"displayAutoRenewState\" : \"Enabled\"\n  }, {\n    \"certificateResourceKey\" : \"nsx.vsphere.com_5678_cert\",\n    \"issuedTo\" : \"nsx.vsphere.local.com\",\n    \"appliance\" : \"NSXT_MANAGER\",\n    \"displayApplianceType\" : \"NSX Manager\",\n    \"category\" : \"SSL\",\n    \"type\" : \"SSL_CERTIFICATE\",\n    \"issuedBy\" : \"CA\",\n    \"status\" : \"NORMAL\",\n    \"displayStatus\" : \"Active\",\n    \"daysToExpire\" : 60,\n    \"applianceFqdn\" : \"nsx.vsphere.local.com\",\n    \"redirectAvailable\" : true,\n    \"domainId\" : \"domain-456\",\n    \"vcfEndpoint\" : \"nsx.vsphere.local.com\",\n    \"vcfComponent\" : \"NSXT_MANAGER\",\n    \"issuedToCommonName\" : \"nsx.vsphere.local.com\",\n    \"autoRenewState\" : \"DISABLED\",\n    \"displayAutoRenewState\" : \"Disabled\"\n  } ]\n}"
array of object
links
Optional

Collection of links

object
pageInfo
Optional

Represents page information for a paged result

array of object
vcfCertificateModels
Optional

List of certificates


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/suite-api/api/fleet-management/certificate-management/certificates/query